package model

import kotlinx.serialization.Serializable
import kotlinx.serialization.Transient
import org.ipks.model.Transaction

@Serializable
class TransferTransaction(
    override val bankCode: String,
    override val branchCode: String,
    override val cbsTellerId: String,
    override val cbsTellerUserIdType: String,
    override val queIdType: String,
    override val description: String,
    override val priority: String,
    override val cbsTellerCapability: String,
    override val txnScreenNo: String,
    override val txnAmt: String,
    override val txnDate: String,
    override val sourceAcctNo: String,
    override val destinationAcctNo: String,
    override val narration: String,
    override val sourceTxnNo: String,
    override val sourceStat: String,
    override val apiType: String,
    override val remitterName: String,
    override val rrn: String,
    @Transient override var queueNo: String = ""
) : Transaction